# Constant Field Values

## Contents

- org.jdesktop.*

## org.jdesktop.*

org.jdesktop.application.Application
Modifier and Type
Constant Field
Value
`public static final String`
`KEY_APPLICATION_ICON`
`"Application.icon"`
`public static final String`
`KEY_APPLICATION_TITLE`
`"Application.title"`
`public static final String`
`KEY_APPLICATION_VENDOR_ID`
`"Application.vendorId"`
org.jdesktop.application.FrameView
Modifier and Type
Constant Field
Value
`public static final String`
`MAIN_FRAME_NAME`
`"mainFrame"`
org.jdesktop.application.ResourceMap
Modifier and Type
Constant Field
Value
`public static final String`
`KEY_PLATFORM`
`"platform"`
org.jdesktop.application.Task<T,V>
Modifier and Type
Constant Field
Value
`public static final String`
`PROP_COMPLETED`
`"completed"`
`public static final String`
`PROP_DESCRIPTION`
`"description"`
`public static final String`
`PROP_DONE`
`"done"`
`public static final String`
`PROP_INPUTBLOCKER`
`"inputBlocker"`
`public static final String`
`PROP_MESSAGE`
`"message"`
`public static final String`
`PROP_STARTED`
`"started"`
`public static final String`
`PROP_TASKSERVICE`
`"taskService"`
`public static final String`
`PROP_TITLE`
`"title"`
`public static final String`
`PROP_USERCANCANCEL`
`"userCanCancel"`
org.jdesktop.application.TaskMonitor
Modifier and Type
Constant Field
Value
`public static final String`
`PROP_FOREGROUND_TASK`
`"foregroundTask"`
org.jdesktop.application.TaskService
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_NAME`
`"default"`